import { JSXElement, createEffect, createSignal } from "solid-js";

import { PublicComment } from "../Util/api";

export function Comment(props: { comment: PublicComment }): JSXElement {
  const [creationDate, setCreationDate] = createSignal<string>("");
  const [content, setContent] = createSignal<string>("");

  createEffect(() => {
    setCreationDate(new Date(props.comment.created_at).toDateString());
    setContent(props.comment.content);
  });

  return (
    <>
      <div class="py-5">
        <time class="text-xs opacity-50">{creationDate()}</time>
      </div>
      <div class="">{content()}</div>
      <div class="divider" />
    </>
  );
}
